Skip to main content
GET
/
api
/
buckets
List all buckets
curl --request GET \
  --url https://data-wizard.ai/api/buckets \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "description": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdUsing": "<string>",
    "artifacts": "<string>",
    "runs": [
      "https://example.com/"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.data-wizard.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Value for the http bearer parameter.

Query Parameters

page
integer
default:1

The collection page number

model
string

ExtractionBucket model

output_instructions
string

ExtractionBucket output_instructions

Response

ExtractionBucket collection

id
string
read-only
description
string | null
deletedAt
string<date-time> | null
read-only
createdAt
string<date-time> | null
read-only
updatedAt
string<date-time> | null
read-only
createdUsing
string
artifacts
string | null
read-only
runs
string<iri-reference>[]